# SX127x
## Introduction
This library implements support for the [PCF8523](https://www.nxp.com/products/peripherals-and-logic/signal-chain/real-time-clocks/rtcs-with-ic-bus/100-na-real-time-clock-calendar-with-battery-backup:PCF8523) real-time clock. It is written for the STM32 HAL using blocking I2C calls.

## Usage
Clone this repository, or add it as a submodule, to your STM32 project under the Drivers/ directory.

Example:
```
#include "pcf8523.h"
pcf8523_t pcf8523;
time_t now;
pcf8523_init(&pcf8523, &hi2c);
now = pcf8523_now(&pcf8523);
```
